#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	User
%define		pnam	Utmp
Summary:	User::Utmp - Perl access to utmp- and utmpx-style databases
Summary(pl.UTF-8):	User::Utmp - dostęp z poziomu Perla do baz typu utmp i utmpx
Name:		perl-User-Utmp
Version:	1.8
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/User/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e3561ae2b07f08b0c754bc351e810551
Patch0:		%{name}-strcmp-fix.patch
URL:		http://search.cpan.org/dist/User-Utmp/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The User::Utmp Perl module provides a simple Perl interface to utmp-
and utmpx-style databases on UNIX systems, the most important being
/var/run/utmp, which provides information about users currently
logged in. There is also experimental support for writing utmp files.

%description -l pl.UTF-8
Moduł Perla User::Utmp udostępnia prosty interfejs w Perlu to plików
baz danych typu utmp i utmpx w systemach UNIX. Najważniejszym z nich
jest /var/run/utmp, który udostępnia informacje o aktualnie
zalogowanych użytkownikach. Jest również eksperymentalne wsparcie dla
zapisu do plików utmp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mv -f $RPM_BUILD_ROOT%{perl_vendorarch}/User/example.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/User
%{perl_vendorarch}/User/Utmp.pm
%dir %{perl_vendorarch}/auto/User
%dir %{perl_vendorarch}/auto/User/Utmp
%{perl_vendorarch}/auto/User/Utmp/autosplit.ix
%{perl_vendorarch}/auto/User/Utmp/Utmp.bs
%attr(755,root,root) %{perl_vendorarch}/auto/User/Utmp/Utmp.so
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-User-Utmp.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 052960e
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 1d35ceb
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 96802ec
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> efe82a2
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> bc93f09
- release 3

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> a437bf1
- generic URL, informative summaries

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ab456f2
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 00a23ec
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 49afaf9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f9ac750
- converted to UTF-8

* Mon Oct 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 3fd9bd1
- outdated

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 23e39ae
- updated to 1.8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 9c58b28
- updted to 1.8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e864b8b
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> dce1cf8
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 6698f8f
- rel. 5

* Thu May 06 2004 ankry <ankry@pld-linux.org> c150050
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> d92567b
- license fix, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 5dd7557
- new bconds

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 15832ca
- s/no/nb/ in Summary langs

